package com.ramos.munoz.tesis;

import com.google.android.gms.maps.model.LatLng;

public class Segmento {

    private LatLng inicio;
    private String instrucciones;
    private int longitud;
    private double distancia;

    public Segmento() {
    }


    public void setInstrucciones(final String instruccion) {
	this.instrucciones = instruccion;
    }

    public String getInstrucciones() {
	return instrucciones;
    }

    public void setInicio(LatLng inicio) {
	this.inicio = inicio;
    }


    public LatLng getinicio() {
	return inicio;
    }

    public Segmento getCopiaSegmento() {
	final Segmento copia = new Segmento();
	copia.inicio = inicio;
	copia.instrucciones = instrucciones;
	copia.longitud = longitud;
	copia.distancia = distancia;
	return copia;
    }

    public void setLongitud(final int longitud) {
	this.longitud = longitud;
    }

    public int getLongitud() {
	return longitud;
    }

    public void setDistancia(double distancia) {
	this.distancia = distancia;
    }

    public double getDistancia() {
	return distancia;
    }

}